## qdbm 1.8.33

=== bros/Makefile ===
# Makefile for writing tests of DBM brothers



#================================================================
# Setting variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = qdbmtest ndbmtest sdbmtest gdbmtest tdbtest cdbtest bdbtest



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :



#================================================================
# Actions
#================================================================


mesg :
	@echo "Here are writing tests of DBM brothers." 1>&2
	@echo "select a target of {all clean $(MYBINS)}." 1>&2


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.o *.exe a.out casket* *~


distclean : clean



#================================================================
# Building binaries
#================================================================


qdbmtest : qdbmtest.c
	gcc -I.. -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
	  -static -L.. -L/usr/local/lib -lqdbm -lc


ndbmtest : ndbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
	  -static -L/usr/local/lib -lndbm -lc


sdbmtest : sdbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
	  -static -L/usr/local/lib -lsdbm -lc


gdbmtest : gdbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
	  -static -L/usr/local/lib -lgdbm -lc


tdbtest : tdbtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
	  -static -L/usr/local/lib -ltdb -lc


cdbtest : cdbtest.c
	gcc -I/usr/local/include/cdb -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
	  /usr/local/lib/cdb/cdb.a /usr/local/lib/cdb/alloc.a /usr/local/lib/cdb/buffer.a \
	  /usr/local/lib/cdb/byte.a /usr/local/lib/cdb/unix.a -static -lc


bdbtest : bdbtest.c
	gcc -I/usr/local/BerkeleyDB.4.1/include -Wall -O3 -o $@ bdbtest.c \
	  -static -L/usr/local/BerkeleyDB.4.1/lib -ldb-4.1 -lc



# END OF FILE
