## qdbm 1.8.77

=== debian/changelog ===
qdbm (1.8.77-4) unstable; urgency=high

  * Fix serious bugs:
    + Apply patch from dai to fix upgrading from lenny. (Closes: #601990)
    + Apply patch from dai to get rid of old libraries. (Closes: #602786)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 08 Nov 2010 20:06:06 +0900

qdbm (1.8.77-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS:
    + Apply patch from Julien Cristau to replace STR2CSTR with StringValuePtr.
    + Hack: avoid modifying $0 (frozen variable in 1.9.2)
    + Add -I. to work around removal of relative requires in 1.9.2.
    Closes: #592775

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 18 Sep 2010 08:48:49 +0200

qdbm (1.8.77-3) unstable; urgency=low

  * Fix FTBTS again. (Closes: #589275)
  * update libxqdbm2c2.symbols to demangle symbols name.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 22 Jul 2010 21:15:45 +0900

qdbm (1.8.77-2) unstable; urgency=low

  * New Standards-Version: 3.9.0
  * debian/control: fix section overrides.
  * Fix FTBTS adding build options for gcj. (Closes: #589275)
  * fix lintian issues.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 16 Jul 2010 20:20:44 +0900

qdbm (1.8.77-1) unstable; urgency=low

  * Imported Upstream version 1.8.77
  * Change binary package name of C++ library
    (by Taku YASUI <tach@debian.org>)
  * New Maintainer. (Closes: #541046)
  * New Standards-Version: 3.8.4
  * Change Build-Depends from gcj to default-jdk
  * remove needless pkgconfig option. (Closes: #397614)
  * fix refering paths of header files. (LP: #450672)
  * fix lintian issues:
      remove RPATH with chrpath.
      change location of perl modules.
  * build ruby binding for both 1.8 and 1.9.1.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 27 May 2010 21:46:19 +0900

qdbm (1.8.74-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Oops, DEB_HOST_ARCH isn't neccesarily exported to build env

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 12 Sep 2008 23:36:33 +0300

qdbm (1.8.74-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * build java bindings on armel, closes: 498680
  * use DEB_HOST_* instead od DEB_BUILD_* where appropriate
  * Added homepage field

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 12 Sep 2008 13:00:11 +0300

qdbm (1.8.74-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build with java on alpha and arm. Closes: #477901.

 -- Matthias Klose <doko@debian.org>  Sat, 10 May 2008 16:46:56 +0200

qdbm (1.8.74-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Set HOME=$(CURDIR)/junkhome when building, otherwise the package build
    will incorrectly look for headers there -- and fail when the directory
    exists and is unreadable, as happens sometimes on sudo-using
    autobuilders!  Closes: #398196.

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Nov 2006 03:21:30 -0800

qdbm (1.8.74-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Nov 2006 17:14:30 +0900

qdbm (1.8.73-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2006 01:03:28 +0900

qdbm (1.8.72-1) unstable; urgency=low

  * New upstream release
  * C++ API soname bump up to 3
  * plus/Makefile.in: use -O0 for alpha architecture
    closes: Bug#394626

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Oct 2006 02:50:43 +0900

qdbm (1.8.70-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Aug 2006 13:25:29 +0900

qdbm (1.8.69-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Aug 2006 14:12:16 +0900

qdbm (1.8.68-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 15 Aug 2006 15:07:25 +0900

qdbm (1.8.67-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 13 Aug 2006 05:25:27 +0900

qdbm (1.8.66-1) unstable; urgency=low

  * New upstream release
  * libqdbm.so ABI has been changed, soversion bump up to 14

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Aug 2006 04:25:43 +0900

qdbm (1.8.64-1) unstable; urgency=low

  * New upstream release
  * libqdbm.so ABI has been changed, so soversion bump up to 13
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 31 Jul 2006 06:04:35 +0900

qdbm (1.8.63-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 30 Jul 2006 06:38:08 +0900

qdbm (1.8.61-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Jul 2006 07:55:43 +0900

qdbm (1.8.51-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 May 2006 00:16:40 +0900

qdbm (1.8.49-1) unstable; urgency=low

  * New upstream release
    closes: Bug#360423
  * drop build-depends: g++-3.4 [arm m68k hppa]
    closes: Bug#343017
  * exclude kfreebsd-amd64 from build-depends for java as kfreebsd-i386
    closes: Bug#361496
  * remove build-depends on libgcj-dev
    closes: Bug#359739

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 27 Apr 2006 00:10:55 +0900

qdbm (1.8.33-2) unstable; urgency=low

  * work around gcc-4.0 FTBFS on arm, m68k, hppa
    debian/control: add "g++-3.4 [arm m68k hppa]" in Build-Depends: 
    debian/rules: check GCC4_ICES_HERE and modify CC/CPP/CXX to -3.4
    closes: Bug#334038
  * fix FTBFS java library on m68k
    debian/rules: CC=gcc to configure in java/
     jni.h is provided by libgcj6-dev, so java binary should be compiled
     by gcc-4.0 instead of gcc-3.4.
    closes: Bug#334666
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 15 Nov 2005 01:43:21 +0900

qdbm (1.8.33-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:39 +0000

qdbm (1.8.33-1) unstable; urgency=low

  * New upstream release

