=== debian/watch ===
version=3
http://qdbm.sourceforge.net/qdbm-(.+).tar.gz
