## qdbm 1.8.78

=== bros/Makefile ===
--- 
+++ 
@@ -51,39 +51,45 @@
 
 
 qdbmtest : qdbmtest.c
-	gcc -I.. -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
-	  -static -L.. -L/usr/local/lib -lqdbm -lc
+	gcc -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
+	  -static -L.. -L/usr/local/lib -lqdbm -lz -lc
 
 
 ndbmtest : ndbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
 	  -static -L/usr/local/lib -lndbm -lc
 
 
 sdbmtest : sdbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
 	  -static -L/usr/local/lib -lsdbm -lc
 
 
 gdbmtest : gdbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
 	  -static -L/usr/local/lib -lgdbm -lc
 
 
 tdbtest : tdbtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
 	  -static -L/usr/local/lib -ltdb -lc
 
 
 cdbtest : cdbtest.c
-	gcc -I/usr/local/include/cdb -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
-	  /usr/local/lib/cdb/cdb.a /usr/local/lib/cdb/alloc.a /usr/local/lib/cdb/buffer.a \
-	  /usr/local/lib/cdb/byte.a /usr/local/lib/cdb/unix.a -static -lc
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
+	  -static -L/usr/local/lib -lcdb -lc
 
 
 bdbtest : bdbtest.c
-	gcc -I/usr/local/BerkeleyDB.4.1/include -Wall -O3 -o $@ bdbtest.c \
-	  -static -L/usr/local/BerkeleyDB.4.1/lib -ldb-4.1 -lc
+	gcc -I/usr/local/bdb/include -D_GNU_SOURCE=1 \
+	  -Wall -O3 -o $@ bdbtest.c \
+	  -static -L/usr/local/bdb/lib -ldb-4.4 -lpthread -lc
