=== debian/changelog ===
qdbm (1.8.78-9build3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:58 +0000

qdbm (1.8.78-9build2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:58 +0000

qdbm (1.8.78-9build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:14:53 -0600

qdbm (1.8.78-9) unstable; urgency=medium

  * Fix Build-Profiles entry for libqdbm-java.
  * Move build-java-stamp from build-indep to build-arch.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Apr 2018 13:51:16 +0200

qdbm (1.8.78-8) unstable; urgency=medium

  * QA upload.
  * Add a nojava profile. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Apr 2018 06:48:13 +0200

qdbm (1.8.78-7) unstable; urgency=medium

  * QA upload.
  * Change maintainer to the Debian QA Group
  * Fix include paths when building with GCJ.
    Thanks to Jason Duerstock (Closes: #892200)
  * Update Vcs-* to refer to new repository on Salsa

 -- James Clarke <jrtc27@debian.org>  Tue, 06 Mar 2018 17:51:52 +0000

qdbm (1.8.78-6.2) unstable; urgency=medium

  * Non maintainer upload.
  * Lower the optimization to -O1 to pass the test suite. Closes: #853627.
  * Bump standards and debhelper versions.
  * Don't set noopt flags, ignored anyway in the upstream build system.
  * Do the extra/optional dance.
  * ruby-qdbm: Remove obsolete ruby breaks/replaces/conflicts.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 16:12:44 +0100

qdbm (1.8.78-6.1build2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:01:58 +0000

qdbm (1.8.78-6.1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:12:52 +0000

qdbm (1.8.78-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop explicit dependency on g++-5. (Closes: #835952)
  * Replace Build-Depends: perl-modules with just perl.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 19 Dec 2016 01:33:40 +0000

qdbm (1.8.78-6) unstable; urgency=medium

  * New Standards-Version: 3.9.6.
  * update symbol file to fix ftbfs with gcc-5. (Closes: #791736)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 04 Aug 2015 14:15:52 +0900

qdbm (1.8.78-5) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - add patch that passes INSTALLDIRS=vendor to perl Makefile.PL calls
    - remove usr/lib/perl5 from debian/libqdbm-perl.dirs, files are in the
      right directories now
    - remove some now unneeded (re)moving in debian/rules and adjust paths
    - use $Config{vendorarch} in debian/rules to get the perl library path at
      build time
    (Closes: #752806)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 07 Jul 2014 08:55:46 +0900

qdbm (1.8.78-4) unstable; urgency=medium

  * New Standards-Version: 3.9.5.
  * update symbol file to fix ftbfs with gcc-4.9. (Closes: #746898)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 19 Jun 2014 23:48:34 +0900

qdbm (1.8.78-3) unstable; urgency=low

  * Drop ruby1.8 bindings. (Closes: #734346)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 07 Jan 2014 20:59:20 +0900

qdbm (1.8.78-2) unstable; urgency=low

  * Apply patch from Neil Williams
    + to fix dependency issue about libxqdbm-dev. (Closes: #655702)
  * Apply patch from Pino Toscano
    + to support nocheck in DEB_BUILD_OPTIONS. (Closes: #648649)
    + to support hurd. (Closes: #648663)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 27 Jan 2012 11:55:30 +0900

qdbm (1.8.78-1) unstable; urgency=low

  * Upstream homepage moved.
  * New Upstream release.
  * New Standards-Version: 3.9.2
  * fix misplaced library symlinks.
  * fix typo of package description. (Closes: #592058)
  * libqdbm14: drop gdbm wrapping. (Closes: #620550)
  * update ruby packaging for wheezy.
  * debian/copyright: migrate DEP-5 format with fixing imcomplete listings.
    Thanks to Bart Martens's review at mentors.d.n.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 13 Oct 2011 08:42:07 +0900
